//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Help_Introduction.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm4 *Form4;
//---------------------------------------------------------------------------
__fastcall TForm4::TForm4(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm4::Button1Click(TObject *Sender)
{
        Form4->Close();        
}
//---------------------------------------------------------------------------
void __fastcall TForm4::LoadIntroductionExecute(TObject *Sender)
{
        AnsiString a;
        a = "Of course no one can predict the outcome of a football play.\n";
        a = a + "Nonetheless, the overwhelming majority would answer \"Brazil\", if they were asked whether Brazil or Paraguay, for instance, was more ";
        a = a + "likely to win. ";
        a = a + "This answer is well-founded as it is usually the strong teams that win - thus teams that won in the past - rather than the weak ones.\n";
        a = a + "Mathematically a team's strength can be formulated by the Elo figure that is determined on the basis of prior results. By that it is ";
        a = a + "rather easy ";
        a = a + "to determine the expected result of a game between two teams.\n\n";
        a = a + "However, when it comes to football tournaments the situation is far more complicated as the compilation of the individual groups also ";
        a = a + "plays a significant ";
        a = a + "role. Teams that are relatively strong might be defeated early if they have a lot of strong competitors from the beginning, while weaker ";
        a = a + "teams in easier ";
        a = a + "groups might get into further rounds. In order to determine the expected chances all combinations have thus to be taken into consideration.\n";
        a = a + "A similar problem arises for leagues since the most difficult (or easy) plays for a considered team may still follow.\n\n";
        a = a + "Exactly this is the main scope of WorldCupRatings!\n\n";
        a = a + "The program consists of several modules that perform the required probability calculations and display the main results graphically.\n";
        a = a + "In the World Cup module, all relevant single-match scenarios are analyzed on the basis of specific assumptions and are then summarized as total results. ";
        a = a + "The results one gets are, e.g., probabilities of which team is going to reach the last sixteen round, quarter-final and semi-final as well ";
        a = a + "as the final ";
        a = a + "and get the World Cup title.\n";
        a = a + "The European Cup module is similar - only with less teams and plays.\n";
        a = a + "In the League module, probabilities for the Championship, a place in the Champions League and Europe League (UEFA Cup) as well as descent probabilities are calculated for the English, German, Italian and Spanish first leagues.\n";
        a = a + "Some minor modules perform also calculations for single plays, odd quotas and Elo coefficients.\n\n";
        a = a + "Each module can be called via the \"Ratings\" menu. Although, the input/output fields and buttons are quite self-explanatory, in each module a \"Usage\" button exists for the case of need. The \"Help\" menu provides more theoretical background information.\n\n";
        a = a + "It should be mentioned that the modules require several inputs, most of the game results and Elo figures. While the first can be very easily obtained, the latter may be difficult to find. ";
        a = a + "At least for national teams, http://www.eloratings.net is a good source, as well as http://www.enjoy-dialogs.de for the German Bundesliga. \nFeel free to support the idea with own calculations!\n\n\n";

        RichEdit1->Text = a;
}
//---------------------------------------------------------------------------
