//---------------------------------------------------------------------------

#include <vcl.h>
#pragma hdrstop

#include "Help_EuropeanCup.h"
//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TForm6 *Form6;
//---------------------------------------------------------------------------
__fastcall TForm6::TForm6(TComponent* Owner)
        : TForm(Owner)
{
}
//---------------------------------------------------------------------------
void __fastcall TForm6::LoadEuropeanCupExecute(TObject *Sender)
{
        AnsiString a;
        a = "Preliminary Round\n\n";
        a = a + "General Points\n\n";
        a = a + "In a European Cup each one of the four groups (A,B,C,D) consists of 4 teams each. After 6 matches per group the groups' first and";
        a = a + " second ones reach the round of the last sixteen with the first one of group A playing against the second one of group B and vice";
        a = a + " versa etc:\n";
        a = a + "A1 - B2         and        A2 - B1\n";
        a = a + "C1 - D2        and        C2 - D1\n";
        a = a + "Group Leaders\n\n";
        a = a + "As a next step, the probability of whether a certain team a will be first and another team b will be second within a group G is";
        a = a + " calculated as Preliminary_First(G,a,b)).\n";
        a = a + "World Cup Ratings considers all combinations that allow a first or second place for the considerered team.\n";
        a = a + "In this, only victory/defeat is taken into consideration. Draws are measured 1/2.\n";
        a = a + "All in all, there are 12 probabilities per group.\n\n";
        a = a + "Quarter-Final Combinations\n\n";
        a = a + "The probability of a quarter-final combination results from the following:\n\n";
        a = a + "QF_Combination(A1 - B2; A2 - B1)\n";
        a = a + "= Preliminary_First(A, a, b) * Preliminary_First(B, a, b)\n\n";
        a = a + "There are 144 scenarios each for each one of the 2 group double matches.\n\n";
        a = a + "Group Scenarios\n\n";
        a = a + "In many cases the only thing that is of interest is the probability of certain part-combinations or the appearance of a certain team";
        a = a + " regardless of the other ones. In this case, \"equal-scenarios\" are created, i.e. scenarios that were created by summarizing all the";
        a = a + " results that are of no interest. For this, all possible 297 combinations are formed. If all last sixteen places are equal, the";
        a = a + " overall probability is 1, of course.\n";
        a = a + "Group scenarios are also created for all following matches.\n\n";
        a = a + "The Semi-Final\n\n";
        a = a + "In the 2 semi-finals the winners (\"W\") of the querter-finals compete against each other as follows:\n\n";
        a = a + "W(A1 - B2) - W(C1 - D2)\n";
        a = a + "W(A2 - B1) - W(C2 - D1)\n";
        a = a + "In order to determine the probability for a semi-final comibination (e.g. A1 - C1), one has to multiply the probabilities that the";
        a = a + " competitors will reach the semi-final, i.e. that they will win the last quarter-final. The procedure used in here is as follows:\n\n";
        a = a + "   1. Determine the overall probabilities that teams (e.g. A1 and C1) will get into the quarter-finals by summarizing the last";
        a = a + " sixteen scenarios correspondingly.\n";
        a = a + "   2. Determine the probability that teams will reach the semi-final by summarizing all the combinations of the quarter-finals.\n";
        a = a + "   3. Multiply the two probabilities.\n\n";
        a = a + "Matches that have already taken place are considered by giving a probability of one to combinations that actually took place and a";
        a = a + " probability of 0 to those that are not possible any more.\n";
        a = a + "Like in the quaerter-final equal-scenarios are also created in the semi-final.\n\n";
        a = a + "The Final\n\n";
        a = a + "The final is considered analogously to the semi-final matches. In order to determine the probability for a final combination one";
        a = a + " has to multiply the probabilities that the competitors will reach the final, i.e. that they will win the semi-final. As a team";
        a = a + " cannot play against itself each combination has to be run through; subsequently, a standard figure of all combinations is calculated.\n";
        a = a + "The number of scenarios (without equal-scenarios) is 256 each.\n\n";
        a = a + "The Match for the Third Place\n\n";
        a = a + "The match for the third place is considered analogously to the final matches.\n\n";
        a = a + "The European Champion\n\n";
        a = a + "The probability that one of the 16 teams will win the European champion title results from the measured sum of probabilities that it";
        a = a + " will win in all possible final combinations.\n\n";
        a = a + "The Third Place\n\n";
        a = a + "The probability that one of the 16 teams will become third results from the measured sum of probabilities that it will will in all";
        a = a + " possible combinations considering the match for the third place.\n\n";
        a = a + "A priori Title probability\n\n";
        a = a + "The Title probability without group constellation effects - i.e. excluding the luck of draw - is just the Elo probability against an \"average\" opponent to the power of 3.5\n";

        RichEdit1->Text = a;        
}
//---------------------------------------------------------------------------
void __fastcall TForm6::Button1Click(TObject *Sender)
{
        Form6->Close();        
}
//---------------------------------------------------------------------------
